Glue Up API
User CollectionEvent CollectionSubscription Collection
Membership CollectionFinance Collection
User CollectionEvent CollectionSubscription Collection
Membership CollectionFinance Collection
  1. Subscription Collection
  • Retrieve the User Subscriptions
    GET
  • Subscribe User to an Organization
    PUT
  • Subscribe User to Subjects
    PUT
  1. Subscription Collection

Subscribe User to an Organization

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
PUT
/subscription/subscribeList
Subscribe user to an organization with email address and name. If correct listId is given, then will subscribe user to the subject also.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
User subscribed successfully
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api-demo-story.glueup.com/v2/subscription/subscribeList' \
--header 'a;' \
--header 'token;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "givenName": "Given",
    "familyName": "Family",
    "emailAddress": {
        "value": "email.put@here.com"
    },
    "phoneNumber": {
        "value": "2343456"
    },
    "notes": [
        {
            "note": "testetest"
        }
    ],
    "organizationId": 2040,
    "listId": 3042
}'
Response Response Example
{
    "organizationId": 2040,
    "id": 1000008,
    "listId": 3042,
    "givenName": "Given",
    "familyName": "Family",
    "emailAddress": {
        "value": "email.put@here.com"
    },
    "phoneNumber": {
        "value": "2343456"
    },
    "notes": [
        {
            "note": "testetest"
        }
    ],
    "subscribed": true
}
Modified at 2026-06-11 06:40:13
Previous
Retrieve the User Subscriptions
Next
Subscribe User to Subjects
Built with